<ion-modal-view >
	<ion-header-bar>
	  <h1 class="title">Info del Sitio</h1>
	  <button class="button button-clear button-assertive" on-tap="hideWindow()">Cerrar</button>
	</ion-header-bar>
	<ion-content>
    <div class="card card-assertive">
      <div class="item item-divider item-assertive">
        {{data.site.name}}
      </div>

      <div class="item " >
        <div ng-repeat="image in data.site.getImages() track by $index">
          <img ng-show="image" ng-src="{{ image }}" style="width:50%; display:inline-block; float:left; border:2px solid #ddd;">
        </div>
      </div>

      <div class="item " >
        <p>Teléfono: {{data.site.phone}}</p>
      </div>

      <div class="item" >
        <p>Dirección: {{data.site.address}}</p>
      </div>

      <div class="item ">
        <p>Web: {{data.site.web}}</p>
      </div>


      <div class="item tabs tabs-secondary tabs-icon-top tabs-assertive">
        <div class="tab-item" on-tap="data.site.navigate()" ng-if="data.site.hasLocation()"> 
          <i class="icon ion-navigate"></i>
          Ruta
        </div>
        <div class="tab-item" on-tap="data.site.call()" ng-if="data.site.hasPhone()"> 
          <i class="icon ion-ios-telephone"></i>
          Llamar
        </div>
        <div class="tab-item" on-tap="data.site.browse()" ng-if="data.site.hasWeb()"> 
          <i class="icon ion-forward"></i>
          Web
        </div>
        <div class="tab-item" on-tap="data.site.share()" ng-if="data.site.canShare()">  
          <i class="icon ion-android-share"></i>
          Compartir
        </div>
      </div>
    </div>

    <div class="card card-assertive">
      <form name="agregarForm" ng-submit="agregarPictures(data.site)" class="finder-form agregarForm" enctype="multipart/form-data">
        <div class="list" style="margin-bottom:0;">
          <div class="item item-divider item-assertive">Subir imágenes</div>
          <input type="file" id="take-picture-{{data.site._id}}" accept="image/*" hidden="true">
          <label class="item" style="line-height:44px;">
              <div class="button" on-tap="cameraOnTap(data.site._id, true)"><i class="icon ion-camera"></i> Cámara </div>
              <div class="button" style="float:right;" on-tap="cameraOnTap(data.site._id, false)"><i class="icon ion-images"></i> Galería </div>
              
              <div ng-show="false" ng-repeat="image in data.site.getImages() track by $index">
                <img ng-if="image" ng-src="{{image}}" width="50" height="50" style="margin:5px 3px 0 0; border: 2px solid #ddd;" />
              </div>
              <div ng-repeat="image in imageDataURI track by $index">
                <div class="preview-img" style="display:inline-block; float:left;">
                  <img ng-if="image" ng-src="{{image}}" width="50" height="50" style="margin:5px 3px 0 0; border: 2px solid #ddd;" />
                </div>
              </div>
          </label>
        </div>
        <div ng-show="imageDataURI">
          <button style="min-height:30px; height:30px; line-height:3px; display:inline-block; width:49%;" type="submit" ng-disabled="agregarForm.$invalid" class="button button-block button-assertive">Agregar fotos</button>
        </div>
      </form>
      <button ng-show="imageDataURI" style="margin-top:-40px; min-height:30px; height:30px; line-height:3px; display:inline-block; width:49%; float:right;" ng-click="clearPictures()" class="button button-block button-assertive">Borrar fotos</button>
    </div>

    <h4 class="text-center">Comentarios</h4>
    <h5 ng-show="(data.site.comments | filter:{ validado: true }).length == 0" class="text-center">No posee comentarios...</h5>
    <div class="card card-assertive">
      <div ng-repeat="comment in data.site.comments | filter:{ validado: true }" class="list">
        <a class="item item-divider item-text-wrap" href="#">
          <h2>{{comment.name}}</h2><small>{{comment.date | date:'medium'}}</small>
          <p>{{comment.message}}</p>
        </a>
      </div>
    </div>

  </ion-content>

<ion-footer-bar style="background-image: linear-gradient(0deg, #ddd, #ddd 0%, transparent 50%);">
    <button on-tap="agregarTapComentario(data.site._id)" style="border:0; margin-top:0;" class="button button-assertive button-block">Agregar comentario</button>
</ion-footer-bar>
</ion-modal-view>